Skip to content

Send despatch advice

POST
/api-connector/shipment/despatch-advice
curl --request POST \
--url https://api.tradecloud1.com/v2/api-connector/shipment/despatch-advice \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "header": { "supplierCompanyId": "00f03b98-2511-489f-9695-13791b3f66b6", "buyerAccountNumber": "12345", "despatchAdviceNumber": "DA123456789", "shipment": { "shipmentNumber": "SN123456789", "identifiers": { "billOfLadingNumber": "BOL123456789", "billOfLadingIssueDate": "2020-01-01", "imoNumber": "IMO123456789", "carrierShipmentNumber": "CSN123456789", "trackingNumber": "1Z662F416878787827" }, "transportMode": "Road transport", "departure": { "location": { "locationType": "AgreedPlace", "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL" }, "etdDate": "2019-12-31", "atdDate": "2019-12-31" }, "destinations": [ { "location": { "locationType": "AgreedPlace", "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL" }, "etaStartDate": "2019-12-31", "etaStartTime": "12:13:14", "etaEndDate": "2019-12-31", "etaEndTime": "12:13:14", "etaDate": "2019-12-31", "etdDate": "2019-12-31", "atdDate": "2019-12-31" } ], "agent": { "name": "ACME Shipping Agents Ltd" } } }, "lines": [ { "despatchAdviceLinePosition": "01", "purchaseOrderNumber": "PO123456789", "purchaseOrderLinePosition": "0001", "deliverySchedulePosition": "01", "item": { "buyerItemNumber": "12345", "buyerItemRevision": "v2", "buyerItemName": "Round tube ø60x45", "supplierItemNumber": "67890", "supplierItemRevision": "v2", "supplierItemName": "Round tube ø60x45", "purchaseUnitOfMeasureIso": "PCE" }, "despatchQuantity": 1234.56, "backorderQuantity": 1234.56, "backorderDate": "2019-12-31" } ], "erpIssueDateTime": "2019-12-31T10:11:12" }'

Send a new or updated despatch advice by the supplier. Requires Integration role

Send despatch advice by supplier

Media typeapplication/json
object
header
required

The header of the despatch advice.

object
supplierCompanyId

The optional Tradecloud company ID of the supplier. Only needed when the integration user is authorized for multiple companies.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
buyerAccountNumber
required

The buyer account code or number as known in your ERP system and added to the buyer connection in the Tradecloud portal.

string

Example

12345
despatchAdviceNumber
required

The unique despatch advice number as known in your ERP system.

string

Example

DA123456789
shipment
required

The shipment related to this despatch advice.

object
shipmentNumber
required

The related shipment number as known in your ERP system.

string

Example

SN123456789
identifiers

The shipment identifiers related to this despatch advice.

object
billOfLadingNumber

The bill of lading number as provided by the carrier.

string

Example

BOL123456789
billOfLadingIssueDate

The issue date of the bill of lading as provided by the carrier.

string format: YYYY-MM-DD

Example

2020-01-01
imoNumber

The IMO ship identification number as provided by the carrier.

string

Example

IMO123456789
carrierShipmentNumber

The shipment number as provided by the carrier.

string

Example

CSN123456789
trackingNumber

The tracking number as provided by the carrier or courier.

string

Example

1Z662F416878787827
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport texts.

string

Example

Road transport
departure

A shipment departure location with ETD and ATD dates.

object
location

The shipment departure or destination location.

object
locationType

The despatch advice location type according to Incoterms 2020:

  • AgreedPlace - EXW, FCA
  • PortOfLoading - FAS, FOB
  • PortOfDestination - CFR, CIF
  • PlaceOfDestination - CPT, CIP
  • FinalDestination - DAP, DPU, DDP
string
Allowed values: AgreedPlace PortOfLoading PortOfDestination PlaceOfDestination FinalDestination

Example

FinalDestination
id

The identifier for the location.

string

Example

123
idScheme

Scheme, providing context to the location identifier. Eg. GLN, LOCODE.

string

Example

GLN
names

The location names. It is recommended to provide at least one name

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

One or more location address lines

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
etdDate

The Estimated Time of Departure of this shipment from this location. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
atdDate

The Actual Time of Departure of this shipment from this location. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
destinations

The shipment routing, ordered by destinations on the route. The total number of destinations is limited to 10 destinations per shipment.

Array<object>

A shipment place, port or final destination with location, ETA period, ATA, ETD and ATD dates.

object
location
required

The shipment departure or destination location.

object
locationType

The despatch advice location type according to Incoterms 2020:

  • AgreedPlace - EXW, FCA
  • PortOfLoading - FAS, FOB
  • PortOfDestination - CFR, CIF
  • PlaceOfDestination - CPT, CIP
  • FinalDestination - DAP, DPU, DDP
string
Allowed values: AgreedPlace PortOfLoading PortOfDestination PlaceOfDestination FinalDestination

Example

FinalDestination
id

The identifier for the location.

string

Example

123
idScheme

Scheme, providing context to the location identifier. Eg. GLN, LOCODE.

string

Example

GLN
names

The location names. It is recommended to provide at least one name

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

One or more location address lines

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
etaStartDate

The Estimated Time of Arrival period start date of this shipment at this destination. Date has ISO 8601 local date format.

string format: YYYY-MM-DD

Example

2019-12-31
etaStartTime

The Estimated Time of Arrival period start time of this shipment at this destination. Time has ISO 8601 local time format.

string format: hh:mm:ss

Example

12:13:14
etaEndDate

The Estimated Time of Arrival period end date of this shipment at this destination. Use this field when there is no ETA period available. Date has ISO 8601 local date format.

string format: YYYY-MM-DD

Example

2019-12-31
etaEndTime

The Estimated Time of Arrival period end time of this shipment at this destination. Use this field when there is no ETA period available. Time has ISO 8601 local time format.

string format: hh:mm:ss

Example

12:13:14
etaDate

The Actual Time of Arrival of this shipment at this destination. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
etdDate

The Estimated Time of Departure of this shipment from this location. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
atdDate

The Actual Time of Departure of this shipment from this location. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
agent

A shipping agent used by the supplier to handle a shipment.

object
name
required

The name of the shipping agent.

string

Example

ACME Shipping Agents Ltd
lines
required

The lines of the despatch advice. You only have to send the lines which are new or updated. The total number of lines is limited to 500 lines per shipment.

Array<object>

A despatch advice line containing identifiers, item and quantity.

object
despatchAdviceLinePosition
required

The required position in the despatch advice. The position should be unique within the despatch advice and immutable.

string format: digits

Example

01
purchaseOrderNumber
required

The related purchase order number as provided by the buyer.

string

Example

PO123456789
purchaseOrderLinePosition
required

The line position in the purchase order as provided by the buyer.

string format: digits

Example

0001
deliverySchedulePosition

The related delivery schedule position in the purchase order line as provided by the buyer.

string format: digits

Example

01
item

The item being despatched, as provided in the purchase order by the buyer.

object
buyerItemNumber

The required item code or number as provided by the buyer.

string

Example

12345
buyerItemRevision

The revision (or version) of this item as provided by the buyer.

string

Example

v2
buyerItemName

The short name of this item as provided by the buyer.

string

Example

Round tube ø60x45
supplierItemNumber

The item code or number as known in your ERP system.

string

Example

67890
supplierItemRevision

The revision (or version) of this item as known in your ERP system.

string

Example

v2
supplierItemName

The short name of this item as known in your ERP system.

string

Example

Round tube ø60x45
purchaseUnitOfMeasureIso

The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

PCE
despatchQuantity
required

The required scheduled or despatched quantity of this purchase order line or delivery schedule position. Quantity has a decimal format.

number

Example

1234.56
backorderQuantity

The backorder quantity of this purchase order line or delivery schedule position. Quantity has a decimal format.

number

Example

1234.56
backorderDate

The backorder expected delivery date of this purchase order line or delivery schedule position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
erpIssueDateTime

ISO local date and time at which the despatch advice was originally issued in your ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12

Successfully sent despatch advice.

Successfully queued the despatch advice. The despatch advice has not yet been verified.

Bad request, the user should check the response body for more info.

Media type*/*
object
code
required
string

Example

missing.property
message
required
string

Example

Property X was missing

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token. May or may not contain a structured response body

Media type*/*
object
message
required
string

Example

Authentication failed
attemptsLeft

The number of authentication attempts left before the user is banned. Applicable when authentication through Basic Authentication fails.

integer

Example

2
banned

Int describing the number of seconds left before the user is allowed to attempt a login with Basic Authentication again.

integer

Example

300

Not authorized, the user is authenticated but does not have the necessary permission.

Media type*/*
object
message
required
string

Example

Not authorized for this action

An unexpected error occurred, Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
code
required
string

Example

some.error
message
required
string

Example

Some error occurred
cause

The cause of this error. Free-format JSON object.

object

Service is not healthy (bad gateway), Tradecloud ops will be alerted. Will not contain a structured response body.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
message
required
string

Example

Could not retrieve data from external source.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted. Will not contain a structured response body.